# Class VulkanEventCreateInfo

java.lang.Object
com.io7m.jcoronado.api.VulkanEventCreateInfo

All Implemented Interfaces:
  `VulkanEventCreateInfoType`

public final class VulkanEventCreateInfo extends Object implements VulkanEventCreateInfoType
The type of Vulkan event creation information.

See Also:
  - "VkEventCreateInfo"

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `VulkanEventCreateInfo.Builder`
  Builds instances of type `VulkanEventCreateInfo`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanEventCreateInfo.Builder`
  `builder()`
  Creates a builder for `VulkanEventCreateInfo`.
  `static VulkanEventCreateInfo`
  `copyOf(VulkanEventCreateInfoType instance)`
  Creates an immutable copy of a `VulkanEventCreateInfoType` value.
  `boolean`
  `equals(Object another)`
  This instance is equal to all instances of `VulkanEventCreateInfo` that have equal attribute values.
  `Set<VulkanEventCreateFlag>`
  `flags()`
  `int`
  `hashCode()`
  Computes a hash code from attributes: `flags`.
  `static VulkanEventCreateInfo`
  `of(Iterable<VulkanEventCreateFlag> flags)`
  Construct a new immutable `VulkanEventCreateInfo` instance.
  `static VulkanEventCreateInfo`
  `of(Set<VulkanEventCreateFlag> flags)`
  Construct a new immutable `VulkanEventCreateInfo` instance.
  `String`
  `toString()`
  Prints the immutable value `VulkanEventCreateInfo` with attribute values.
  `final VulkanEventCreateInfo`
  `withFlags(VulkanEventCreateFlag... elements)`
  Copy the current immutable object with elements that replace the content of `flags`.
  `final VulkanEventCreateInfo`
  `withFlags(Iterable<VulkanEventCreateFlag> elements)`
  Copy the current immutable object with elements that replace the content of `flags`.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### flags

    public Set<VulkanEventCreateFlag> flags()
    Specified by:
      `flags` in interface `VulkanEventCreateInfoType`
    Returns:
      The event creation flags

  - ### withFlags

    public final VulkanEventCreateInfo withFlags(VulkanEventCreateFlag... elements)
    Copy the current immutable object with elements that replace the content of `flags`.
    Parameters:
      `elements` - The elements to set
    Returns:
      A modified copy of `this` object

  - ### withFlags

    public final VulkanEventCreateInfo withFlags(Iterable<VulkanEventCreateFlag> elements)
    Copy the current immutable object with elements that replace the content of `flags`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `elements` - An iterable of flags elements to set
    Returns:
      A modified copy of `this` object

  - ### equals

    public boolean equals(Object another)
    This instance is equal to all instances of `VulkanEventCreateInfo` that have equal attribute values.
    Overrides:
      `equals` in class `Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `flags`.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      hashCode value

  - ### toString

    public String toString()
    Prints the immutable value `VulkanEventCreateInfo` with attribute values.
    Overrides:
      `toString` in class `Object`
    Returns:
      A string representation of the value

  - ### of

    public static VulkanEventCreateInfo of(Set<VulkanEventCreateFlag> flags)
    Construct a new immutable `VulkanEventCreateInfo` instance.
    Parameters:
      `flags` - The value for the `flags` attribute
    Returns:
      An immutable VulkanEventCreateInfo instance

  - ### of

    public static VulkanEventCreateInfo of(Iterable<VulkanEventCreateFlag> flags)
    Construct a new immutable `VulkanEventCreateInfo` instance.
    Parameters:
      `flags` - The value for the `flags` attribute
    Returns:
      An immutable VulkanEventCreateInfo instance

  - ### copyOf

    public static VulkanEventCreateInfo copyOf(VulkanEventCreateInfoType instance)
    Creates an immutable copy of a `VulkanEventCreateInfoType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable VulkanEventCreateInfo instance

  - ### builder

    public static VulkanEventCreateInfo.Builder builder()
    Creates a builder for `VulkanEventCreateInfo`.

         VulkanEventCreateInfo.builder()
            .addFlags|addAllFlags(com.io7m.jcoronado.api.VulkanEventCreateFlag) // flags elements
            .build();

    Returns:
      A new VulkanEventCreateInfo builder